Coverage-API
curl --request GET \
--url https://api-stage.orchestro.ai/e1/api/v1/core/coverage \
--header 'Authorization: <api-key>'import requests
url = "https://api-stage.orchestro.ai/e1/api/v1/core/coverage"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api-stage.orchestro.ai/e1/api/v1/core/coverage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"coverage": [
{
"serviceType": "DGRD",
"zip": [
"00501",
"00544",
"00579",
"04773",
"04774",
"04775",
"04776",
"04777",
"04779",
"04780",
"04781",
"04783",
"04785"
]
}
]
}Filter
Coverage-API
This endpoint allows users to retrieve coverage information by providing an account number and service type (e.g., GRD). It returns a list of ZIP codes where the service is available for the specified service type.
GET
/
api
/
v1
/
core
/
coverage
Coverage-API
Authorizations
Query Parameters
The account number of the user or entity requesting the coverage information. This is a required parameter and must be passed in the query
Example:
"AC0088"
The type of service for which coverage is being requested.
Example:
"GRD/DGRD"
Response
200 - application/json
Coverage API request Successful for GRD/DGRD
Show child attributes
Show child attributes
Example:
[
{
"serviceType": "GRD",
"zip": [
"01001",
"01002",
"01003",
"01004",
"01007",
"01009",
"01010",
"01013",
"01014",
"01020",
"01021",
"01022",
"01027"
]
}
]
⌘I